/* ==========================================================================
   Blog List - Masonry Gallery style - begin
   ========================================================================== */

.mkdf-blog-holder {
    
    &.mkdf-blog-masonry-gallery {
	
	    article {
            background-color: rgba(0,0,0,0.2);
            @include mkdfTransition(opacity 0.15s ease-out);
            opacity:0;

            &.mkdf-appeared{
                opacity:1;
            }

            .mkdf-post-content {
                height: 100%;
            }
		
		    .mkdf-post-image {
			    height: 100%;
			    img {
				    width: 100%;
			    }
			    
			    &:after {
				    @include mkdfAbsoluteHolderLayout();
				    content: '';
				    background: rgba($default-heading-color, 0.62);
				    background: -webkit-linear-gradient(rgba($default-heading-color, 0), rgba($default-heading-color, 0.62));
				    background: -moz-linear-gradient(rgba($default-heading-color, 0), rgba($default-heading-color, 0.62));
				    background: linear-gradient(rgba($default-heading-color, 0), rgba($default-heading-color, 0.62));
			    }
		    }
		    
		    .mkdf-post-text {
			    position: absolute;
			    bottom: 39px;
			    left: 0;
			    padding: 0 20px;
			    text-align: center;
			    box-sizing: border-box;
			    
			    a {
				    position: relative;
				    z-index: 2;
			    }
		    }
		    
		    .mkdf-post-title {
			    color: #fff;
		    }

            .mkdf-post-excerpt {
                color: #fff;
            }
		    
		    .mkdf-post-info {
			    color: #fff;
		    }
		
		    .mkdf-blog-masonry-gallery-link {
			    @include mkdfAbsoluteHolderLayout();
		    }
		
		    &.format-link,
		    &.format-quote {
			    background-color: rgba(0,0,0,0.2);
			    @include mkdfTransition(background-color 0.2s ease-out);
			
			    .mkdf-post-text {
				    top: 50%;
				    left: 0;
				    bottom: auto;
				    @include mkdfTransform(translateY(-50%));
			    }
			    
			    &:hover {
				    background-color: transparentize($default-heading-color, .12);
			    }
		    }
		
		    &:not(.format-quote):not(.format-link) {
			    
			    .mkdf-post-text {
				    -webkit-transition: -webkit-transform .3s cubic-bezier(.44, 1.22, 0, 1.43);
				    -moz-transition: -moz-transform .3s cubic-bezier(.44, 1.22, 0, 1.43);
				    transition: transform .3s cubic-bezier(.44, 1.22, 0, 1.43);
			    }
			    
			    &:hover {
				    
				    .mkdf-post-text {
					    -webkit-transition: -webkit-transform .5s cubic-bezier(.44, 1.22, 0, 1.43);
					    -moz-transition: -moz-transform .5s cubic-bezier(.44, 1.22, 0, 1.43);
					    transition: transform .5s cubic-bezier(.44, 1.22, 0, 1.43);
					    @include mkdfTransform(translateY(-20px));
				    }
			    }
		    }
	    }
    }
}
/* ==========================================================================
   Blog List - Masonry Gallery style - end
   ========================================================================== */